Get mandate auth
curl --request GET \
--url https://api.prod.finverse.net/mandates/auth \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/mandates/auth"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/mandates/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_checklist": [
{
"group_id": "<string>",
"options": [
{
"name": "INSTITUTION_CREDENTIALS_LOGIN",
"redirect_url": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"submitted_by": "CUSTOMER_APP"
}
],
"required": "YES",
"type": "ACCOUNT_IDENTIFICATION",
"helper_text": "<string>"
}
],
"encryption_info": {
"jwks_url": "<string>",
"key_id": "<string>"
},
"institution_id": "<string>",
"last_update": "2023-11-07T05:31:56Z",
"mandate_id": "<string>",
"mandate_status": "CREATED",
"recipient_account_id": "<string>",
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"type": "LINKING_ERROR"
},
"mandate_details": {
"currency": "<string>",
"collection_entity_name": "<string>",
"dda_reference": "<string>",
"description": "<string>",
"end_date": "2023-12-25",
"mandate_bank_reference": "<string>",
"payment_schedule": {
"amount": 100,
"frequency": "DAILY"
},
"processor_entity_name": "<string>",
"start_date": "2023-12-25",
"transaction_limits": {
"max_period_amount": 2,
"max_period_count": 2,
"max_transaction_amount": 2,
"max_transaction_amount_set_by_payer_initial": 123,
"period": "DAILY"
}
},
"recipient": {
"name": "<string>"
},
"sender_type": "INDIVIDUAL"
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Mandates
Get mandate auth
Get Mandate Authorization by mandate id
GET
/
mandates
/
auth
Get mandate auth
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful
Checklist of the authorization factors needed to complete Mandate authorization
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Finverse Institution ID. Only returned if institution_id was included in the request.
Timestamp in ISO format (YYYY-MM-DDTHH:MM:SS.SSSZ)
Finverse Mandate ID
Mandate status
Available options:
CREATED, PROCESSING, SUBMITTED, ERROR Merchant account ID assigned by Finverse
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Type of account held by the Sender at the Institution. Possible values are INDIVIDUAL, BUSINESS
Available options:
INDIVIDUAL, BUSINESS